/***************************************************************************
    copyright            : (C) 2001-2006 by Robby Stephenson
    email                : robby@periapsis.org
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of version 2 of the GNU General Public License as  *
 *   published by the Free Software Foundation;                            *
 *                                                                         *
 ***************************************************************************/

#ifndef TELLICO_GUI_RICHTEXTLABEL_H
#define TELLICO_GUI_RICHTEXTLABEL_H

#include <tqtextedit.h>

namespace Tellico {
  namespace GUI {

/**
 * @author Robby Stephenson
 */
class RichTextLabel : public TQTextEdit {
Q_OBJECT
  TQ_OBJECT

public:
  RichTextLabel(TQWidget* parent);
  RichTextLabel(const TQString& text, TQWidget* parent);

  virtual TQSize tqsizeHint() const;

private:
  void init();
  // redefine these to disable selection
  void contentsMousePressEvent(TQMouseEvent*) {}
  void contentsMouseMoveEvent(TQMouseEvent*) {}
  void contentsMouseReleaseEvent(TQMouseEvent*) {}
  void contentsMouseDoubleClickEvent(TQMouseEvent*) {}
};

  } // end namespace
} // end namespace

#endif
